
From: Dominik Brodowski <linux@dominikbrodowski.net>

Add pcmcia_device_id table.

Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/scsi/pcmcia/aha152x_stub.c |   11 +++++++++++
 1 files changed, 11 insertions(+)

diff -puN drivers/scsi/pcmcia/aha152x_stub.c~pcmcia-id_table-for-aha152x drivers/scsi/pcmcia/aha152x_stub.c
--- 25/drivers/scsi/pcmcia/aha152x_stub.c~pcmcia-id_table-for-aha152x	2005-02-28 15:48:40.000000000 -0800
+++ 25-akpm/drivers/scsi/pcmcia/aha152x_stub.c	2005-02-28 15:48:40.000000000 -0800
@@ -318,6 +318,16 @@ static int aha152x_event(event_t event, 
     return 0;
 }
 
+static struct pcmcia_device_id aha152x_ids[] = {
+	PCMCIA_DEVICE_PROD_ID123("New Media", "SCSI", "Bus Toaster", 0xcdf7e4cc, 0x35f26476, 0xa8851d6e),
+	PCMCIA_DEVICE_PROD_ID123("NOTEWORTHY", "SCSI", "Bus Toaster", 0xad89c6e8, 0x35f26476, 0xa8851d6e),
+	PCMCIA_DEVICE_PROD_ID12("Adaptec, Inc.", "APA-1460 SCSI Host Adapter", 0x24ba9738, 0x3a3c3d20),
+	PCMCIA_DEVICE_PROD_ID12("New Media Corporation", "Multimedia Sound/SCSI", 0x085a850b, 0x80a6535c),
+	PCMCIA_DEVICE_PROD_ID12("NOTEWORTHY", "NWCOMBO2 SCSI/AUDIO COMBO CARD", 0xad89c6e8, 0x1bee1160),
+	PCMCIA_DEVICE_NULL,
+};
+MODULE_DEVICE_TABLE(pcmcia, aha152x_ids);
+
 static struct pcmcia_driver aha152x_cs_driver = {
 	.owner		= THIS_MODULE,
 	.drv		= {
@@ -325,6 +335,7 @@ static struct pcmcia_driver aha152x_cs_d
 	},
 	.attach		= aha152x_attach,
 	.detach		= aha152x_detach,
+	.id_table       = aha152x_ids,
 };
 
 static int __init init_aha152x_cs(void)
_
